zenilib: content.ContentProcessor Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
content.ContentProcessor Class Reference

## Public Member Functions

def | __init__
def | add_chapter
def | add_markup
def | finish
def | parse_sources
def | process_content
def | reset
def | set_section

## Public Attributes

| chapters
| headers
| markup
| markup_lines
| markups
| section
| sections

## Detailed Description

Definition at line 340 of file content.py.

## Constructor & Destructor Documentation

def content.ContentProcessor.__init__ | ( |  | self | ) |

    initialize a block content processor

Definition at line 342 of file content.py.

References DetectCallDepth::FunctionNode.reset(), pp::Token.reset(), T1_Hints_FuncsRec_.reset, and content.ContentProcessor.reset().

## Member Function Documentation

def content.ContentProcessor.add_chapter | ( |  | self,
|  |  | block
| ) |  |

Definition at line 362 of file content.py.

def content.ContentProcessor.add_markup | ( |  | self | ) |

    add a new markup section

Definition at line 373 of file content.py.

References content.ContentProcessor.markup, and content.ContentProcessor.markup_lines.

Referenced by content.ContentProcessor.process_content().

def content.ContentProcessor.finish | ( |  | self | ) |

Definition at line 438 of file content.py.

References content.ContentProcessor.chapters, content.DocChapter.sections, and content.ContentProcessor.sections.

def content.ContentProcessor.parse_sources | ( |  | self,
|  |  | source_processor
| ) |  |

Definition at line 420 of file content.py.

def content.ContentProcessor.process_content | ( |  | self,
|  |  | content
| ) |  |

    process a block content and return a list of DocMarkup objects
       corresponding to it

Definition at line 389 of file content.py.

References content.ContentProcessor.add_markup(), content.ContentProcessor.markup, and content.ContentProcessor.markups.

def content.ContentProcessor.reset | ( |  | self | ) |

    reset the content processor for a new block

Definition at line 367 of file content.py.

Referenced by content.ContentProcessor.__init__(), and sources.SourceProcessor.parse_file().

def content.ContentProcessor.set_section | ( |  | self,
|  |  | section_name
| ) |  |

    set current section during parsing

Definition at line 353 of file content.py.

References content.ContentProcessor.section, content.DocChapter.sections, and content.ContentProcessor.sections.

## Member Data Documentation

content.ContentProcessor.chapters

Definition at line 349 of file content.py.

Referenced by content.ContentProcessor.finish().

content.ContentProcessor.headers

Definition at line 351 of file content.py.

Referenced by tohtml.HtmlFormatter.block_enter().

content.ContentProcessor.markup

Definition at line 370 of file content.py.

Referenced by content.ContentProcessor.add_markup(), and content.ContentProcessor.process_content().

content.ContentProcessor.markup_lines

Definition at line 371 of file content.py.

Referenced by content.ContentProcessor.add_markup().

content.ContentProcessor.markups

Definition at line 369 of file content.py.

Referenced by content.DocBlock.get_markup(), and content.ContentProcessor.process_content().

content.ContentProcessor.section

Definition at line 347 of file content.py.

Referenced by content.ContentProcessor.set_section().

content.ContentProcessor.sections

Definition at line 346 of file content.py.

Referenced by content.ContentProcessor.finish(), formatter.Formatter.section_dump_all(), tohtml.HtmlFormatter.section_dump_all(), and content.ContentProcessor.set_section().

The documentation for this class was generated from the following file:

- zenilib/jni/external/freetype2/src/tools/docmaker/content.py